# RPM specfile for Guppi module
# Generated Thu May 16 19:10:19 2002 GMT by Ximian build system
# $Id: bb_do,v 1.183 2002/04/19 17:44:22 thunder Exp $
# from $Id: ximian-build.conf,v 1.16 2002/05/06 16:39:34 frb Exp $

%define nam	Guppi
%define ver	0.40.3
%define ximrev	2

Name:     	Guppi
Version: 	0.40.3
Release:	126.ximian.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for SuSE Linux 8.0 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc/packages

URL:		http://www.gnome.org/
Source0:	Guppi-0.40.3.tar.gz
Summary:	Plotting tool for GNOME
Group:		Applications/Graphics
Provides:	ximian-Guppi = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description
Guppi is a tool that allows you to make interactive plots of data
in various ways.  It is integrated with GNOME.

%files
%defattr(-, root, root)
/opt/gnome/bin/*
/opt/gnome/lib/guppi/plug-ins/*
/opt/gnome/lib/lib*.so.*
/opt/gnome/share/gnome/help/guppi
/opt/gnome/share/guppi
/opt/gnome/share/locale/*/*/Guppi.mo
/opt/gnome/share/oaf/*
/opt/gnome/share/pixmaps/gnome-guppi.png
/opt/gnome/share/pixmaps/guppi


%post
ldconfig

%postun
ldconfig

%package -n Guppi-devel
Summary:	Libraries for the Guppi plotting tool
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	ximian-Guppi-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n Guppi-devel
Set of libraries that allow you to access the Guppi plotting API.
Install this package if you wish to add plotting capabilities to GNOME
plications through Guppi.

%files -n Guppi-devel
%defattr(-, root, root)
/opt/gnome/include/gnome-1.0/libguppi
/opt/gnome/include/gnome-1.0/libguppitank
/opt/gnome/lib/*Conf.sh
/opt/gnome/lib/*.la
/opt/gnome/lib/*.so
/opt/gnome/share/aclocal/libguppi.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Guppi-0.40.3
    ;;
all)
%setup  -q -n Guppi-0.40.3
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --sysconfdir=/etc/opt/gnome --prefix=/opt/gnome --mandir=/opt/gnome/man --infodir=/opt/gnome/info --localstatedir=/var --enable-gnumeric
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install sysconfdir=${DESTDIR}/etc/opt/gnome prefix=${DESTDIR}/opt/gnome mandir=${DESTDIR}/opt/gnome/man infodir=${DESTDIR}/opt/gnome/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Thu May 16 2002 Ximian, Inc.

- Version: 0.40.3-126.ximian.2
- Summary: New build.
- New automated build.

